Questo documento descrive l'API JSON RESTful di Simply.com.
Puoi trovare l'endpoint HTTP su https://api.simply.com/2/ - prefissa le tue richieste con questo.
L'autenticazione avviene tramite HTTP Basic Authentication.
Nome utente è il numero di conto Simply.com (Sxxxxxx).
Codice di accesso è la chiave API per l'account specifico.
Le chiavi API vengono create nel Pannello di controllo di Simply.com sotto Account, Chiavi API.
Puoi trovare la documentazione API interattiva qui: https://api.simply.com/2/doc/
Oppure scarica la specifica OpenAPI in JSON: https://api.simply.com/2/doc.json
L'API è soggetta a limiti di velocità, solo per prevenire abusi.
Puoi vedere il limite e il consumo in X-RateLimit-Limit e X-RateLimit-Remaining intestazioni.
Le seguenti librerie sono disponibili per l'uso.
| acme.sh | https://github.com/acmesh-official/acme.sh/ |
|---|---|
| Posh-ACME | https://github.com/rmbolger/Posh-ACME/ |
| cert-manager service | https://github.com/RunnerM/simply-dns-webhook/ |
| Certbot plugin | https://github.com/JohNan/certbot-dns-simply/ |
| Webhook provider for ExternalDNS | https://github.com/uozalp/external-dns-simply-webhook |
| PHP | https://github.com/simplycom/api-php/ |
|---|
Gli endpoint /ddns/ e /dyndns/ ti aiuta facilmente a configurare DDNS su un dominio.
/dyndns/ emula rigorosamente il protocollo DynDns, mentre /ddns/ cercando di fornire risposte più descrittive e accettare più argomenti.
Usa il seguente comando Curl per impostare home.example.com all'indirizzo IP esterno del client richiedente:
curl -s -u "ACCOUNTNAME:APIKEY" "https://api.simply.com/2/ddns/?domain=example.com&hostname=home.example.com"
Puoi impostare questo comando per essere eseguito in un crontab, su una macchina locale, ogni 15 minuti o giù di lì.
Su Synology puoi utilizzare la seguente sintassi come provider DDNS personalizzato
https://api.simply.com/2/dyndns/?hostname=__HOSTNAME__&myip=__MYIP__
hostname deve quindi essere indicato come il nome di dominio completamente qualificato che desideri aggiornare, ad es. home.example.com.
# In configuration.yaml file
rest_command:
simplycom_ddns:
username: "ACCOUNTNAME"
password: "APIKEY"
url: "https://api.simply.com/2/ddns/?domain=example.com&hostname=home.example.com"
# Automation
alias: Simply.com DDNS
trigger:
- platform: time_pattern
minutes: "0"
seconds: "0"
action:
- service: rest_command.simplycom_ddns
In UniFi OS, devi configurare un provider DNS dinamico personalizzato e inserire la seguente stringa nel campo "Server".
api.simply.com/2/dyndns/?hostname=%h&myip=%i